%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name foreman_openstack_simplify
%global foreman_dir /usr/share/foreman
%global foreman_bundler_dir %{foreman_dir}/bundler.d

Summary: Plugin for Foreman that simplifies the UI for purposes of OpenStack install
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.0.6
Release: 8%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/jistr/foreman_openstack_simplify
Source0: %{gem_name}-%{version}.gem
Patch0: rubygem-foreman_openstack_simplify-0.0.6-branding-fixes.patch
Patch1: rubygem-foreman_openstack_simplify-0.0.6-version-info.patch
Patch2: 0002-Make-version-override-forward-compatible.patch
Patch3: 0003-Updated-to-work-with-staypuft-1.5.patch
Patch4: 0004-Update-branding-for-Foreman-1.5.patch
Patch5: 0005-Update-logos-with-new-naming.patch
Requires: %{?scl_prefix}rubygems
Requires: %{?scl_prefix}rubygem(deface)
Requires: foreman => 1.1
BuildRequires: git
BuildRequires: %{?scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Provides: foreman-plugin-simplify

%description
Plugin for Foreman that simplifies the UI for purposes of OpenStack install

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} "}
  gem unpack %{SOURCE0}
%{?scl:"}
%setup -q -D -T -n  %{gem_name}-%{version}
%{?scl:scl enable %{scl} "}
  gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
%{?scl:scl enable %{scl} "}
  gem build %{gem_name}.gemspec
%{?scl:"}

mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
  gem install -V \
          --local \
          --install-dir ./%{gem_dir} \
          --force \
          --rdoc \
          %{gem_name}-%{version}.gem
%{?scl:"}

pushd ./%{gem_instdir}
# git apply needed for binary patches, and it only works in git repos
git init .
patch -p1 < %PATCH0
patch -p1 < %PATCH1
patch -p1 < %PATCH2
patch -p1 < %PATCH3
patch -p1 < %PATCH4
git apply --verbose %PATCH5
# get rid of the git repo
rm -r .git
popd

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{foreman_bundler_dir}
cp -a .%{gem_instdir}/install/foreman_openstack_simplify.rb %{buildroot}%{foreman_bundler_dir}/

%clean
rm -rf %{buildroot}

%post
cd %{foreman_dir}
if [[ ! -e Gemfile.in ]]; then
  rm -f Gemfile.lock
  %{?scl:scl enable %{scl} "}
    /usr/bin/bundle install --local 1>/dev/null 2>&1
  %{?scl:"}
fi

%postun
cd %{foreman_dir}
if [[ ! -e Gemfile.in ]]; then
  rm -f Gemfile.lock
  %{?scl:scl enable %{scl} "}
    /usr/bin/bundle install --local 1>/dev/null 2>&1
  %{?scl:"}
fi

%files
%{gem_instdir}
%{gem_spec}
%{foreman_bundler_dir}/%{gem_name}.rb
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}

%changelog
* Tue Jul 15 2014 Jiri Stransky <jistr@redhat.com> - 0.0.6-8
- Update logos with new naming
- Build requires git for applying binary patches

* Fri Jun 06 2014 Mike Burns <mburns@redhat.com> - 0.0.6-7
- update to fix branding on foreman 1.5+

* Tue Apr 22 2014 Mike Burns <mburns@redhat.com> - 0.0.6-6
- Make version override forward compatible (Jiri Stransky)

* Thu Jan 09 2014 Jiri Stransky <jistr@redhat.com> - 0.0.6-5
- Fix version information printing (RHBZ#1047146)

* Thu Jan 02 2014 Dominic Cleal <dcleal@redhat.com> - 0.0.6-4
- Fix branding in title and header (RHBZ#1045026)

* Thu Dec 05 2013 Dominic Cleal <dcleal@redhat.com> - 0.0.6-1
- Update to 0.0.6
- Fix replacement of header, remove technology preview notice (RHBZ#1033223)
- Fix non-SCL path to /usr/share/foreman

* Tue Oct 22 2013 Lon Hohberger <lhh@redhat.com> 0.0.5-2
- Use non-SCL Foreman and fix Provides

* Wed Jun 5 2013 Jiri Stransky <jistr@redhat.com> 0.0.5-1
- Update gem version.

* Thu May 24 2013 Jiri Stransky <jistr@redhat.com> 0.0.4-3
- Fix post and postun scripts to use SCL where necessary.
- Make the post and postun scripts agnostic to usage of
  Bundler vs. bundler_ext.

* Wed May 22 2013 Lon Hohberger <lhh@redhat.com> 0.0.4-2
- Fix install Requires: dependency for SCL

* Mon May 20 2013 Jiri Stransky <jistr@redhat.com> 0.0.4-1
- Moved foreman_openstack_simplify.rb (for Foreman's bundler.d) into
  the gem itself, instead having it as separate source.

* Wed May 15 2013 Jiri Stransky <jistr@redhat.com> 0.0.3-2
- SCL

* Tue May 7 2013 Jiri Stransky <jistr@redhat.com> 0.0.1-1
- Initial package
